# Class TraditionalCurrency

#### Hierarchy

- unknown
  - TraditionalCurrency

- Defined in src/protobuf/pb_pb.d.ts:7523
- Defined in src/protobuf/pb_pb.d.ts:7532

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TraditionalCurrency(): TraditionalCurrency

- #### Returns TraditionalCurrency

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7524

### toObject

- toObject(includeInstance?: boolean): TraditionalCurrency.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TraditionalCurrency.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7525

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TraditionalCurrency

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TraditionalCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7528

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TraditionalCurrency, reader: BinaryReader): TraditionalCurrency

- #### Parameters

  - ##### message: TraditionalCurrency

  - ##### reader: BinaryReader

  #### Returns TraditionalCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7529

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TraditionalCurrency, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TraditionalCurrency

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7527

### `Static` toObject

- toObject(includeInstance: boolean, msg: TraditionalCurrency): TraditionalCurrency.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TraditionalCurrency

  #### Returns TraditionalCurrency.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7526

Generated using TypeDoc